[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Public Member Functions | List of all members
GridGraph< N, DirectedTag >::EdgeMap< T > Class Template Reference

Type of an edge property map that maps edge descriptor objects onto property values of type T (API: LEMON). More...

`#include <vigra/multi_gridgraph.hxx>`

Inheritance diagram for GridGraph< N, DirectedTag >::EdgeMap< T >:

## Public Member Functions

| EdgeMap (difference_type const &shape)
| Construct property map for the given shape (preallocates a zero-initialized entry for each edge of a grid graph with this shape).
| EdgeMap (difference_type const &shape, T const &t)
| Construct property map for the given shape (preallocates an entry with initial value t for each edge of a grid graph with this shape).
| EdgeMap (GridGraph const &g)
| Construct property map for the given graph g (preallocates a zero-initialized entry for each edge of the graph).
| EdgeMap (GridGraph const &g, T const &t)
| Construct property map for the given graph g (preallocates an entry with initial value t for each edge of the graph).
Value & | operator[] (Key const &key)
| Read/write access to the value associated with edge descriptor key.
Value const & | operator[] (Key const &key) const
| Read-only access to the value associated with edge descriptor key.
void | set (Key const &k, Value const &v)
| Set the property of edge desctiptor key to value v.
Public Member Functions inherited from MultiArray< N+1, Multiband< T > >
allocator_type const & | allocator () const
MultiArray & | init (const U &init)
| MultiArray ()
| MultiArray (allocator_type const &alloc)
| MultiArray (const difference_type &shape, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, const_pointer init, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, const_reference init, allocator_type const &alloc=allocator_type())
| MultiArray (const difference_type &shape, MultiArrayInitializationTag init, allocator_type const &alloc=allocator_type())
| MultiArray (const MultiArray &rhs)
| MultiArray (const MultiArrayView< N, U, StrideTag > &rhs, allocator_type const &alloc=allocator_type())
| MultiArray (difference_type_1 length, allocator_type const &alloc=allocator_type())
| MultiArray (difference_type_1 width, difference_type_1 height, allocator_type const &alloc=allocator_type())
| MultiArray (multi_math::MultiMathOperand< Expression > const &rhs, allocator_type const &alloc=allocator_type())
MultiArray & | operator*= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator*= (const T &rhs)
MultiArray & | operator*= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator+= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator+= (const T &rhs)
MultiArray & | operator+= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator-= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator-= (const T &rhs)
MultiArray & | operator-= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator/= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator/= (const T &rhs)
MultiArray & | operator/= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator= (const MultiArray &rhs)
MultiArray & | operator= (const MultiArrayView< N, U, StrideTag > &rhs)
MultiArray & | operator= (multi_math::MultiMathOperand< Expression > const &rhs)
MultiArray & | operator= (value_type const &v)
void | reshape (const difference_type &shape)
void | reshape (const difference_type &shape, const_reference init)
void | swap (MultiArray &other)
| ~MultiArray ()

## Additional Inherited Members

Public Types inherited from MultiArray< N+1, Multiband< T > >
typedef A | allocator_type
typedef view_type::const_iterator | const_iterator
typedef view_type::const_pointer | const_pointer
typedef view_type::const_reference | const_reference
typedef view_type::const_traverser | const_traverser
typedef view_type::difference_type | difference_type
typedef view_type::difference_type_1 | difference_type_1
typedef view_type::iterator | iterator
typedef MultiArray< N, T, A > | matrix_type
typedef view_type::pointer | pointer
typedef view_type::reference | reference
typedef view_type::size_type | size_type
typedef view_type::traverser | traverser
typedef view_type::value_type | value_type
typedef MultiArrayView< N, typename vigra::detail::ResolveMultiband< T >::type, typename vigra::detail::ResolveMultiband< T >::Stride > | view_type
Protected Member Functions inherited from MultiArray< N+1, Multiband< T > >
void | allocate (pointer &ptr, difference_type_1 s, const_reference init)
void | allocate (pointer &ptr, difference_type_1 s, U const *init)
void | allocate (pointer &ptr, MultiArrayView< N, U, StrideTag > const &init)
void | deallocate (pointer &ptr, difference_type_1 s)
Protected Attributes inherited from MultiArray< N+1, Multiband< T > >
allocator_type | m_alloc

## Detailed Description

template<unsigned int N, class DirectedTag = undirected_tag>
template<class T>
class vigra::GridGraph< N, DirectedTag >::EdgeMap< T >

Type of an edge property map that maps edge descriptor objects onto property values of type T (API: LEMON).

The documentation for this class was generated from the following file:

- vigra/multi_gridgraph.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4